Check Point Reference:CPAI-2012-375
Date Published: 25 Nov 2012
Severity: Medium
Last Updated:
Source:
Protection Provided by:

Security Gateway
R75

Who is Vulnerable? Sysax Multi Server 5.53
Vulnerability Description A stack buffer overflow vulnerability has been reported in Sysax Multi Server SSH Service.
Vulnerability DetailsThe vulnerability is due to a boundary error when processing authentication requests. A remote attacker can exploit this issue by sending a specially crafted authentication request to the target. Successful exploitation would allow an attacker to inject and execute arbitrary code on the target.

Protection Overview

This protection will detect and block the transferring of specially crafted requests to the target.

In order for the protection to be activated, update your product to the latest update. For information on how to update , go to SBP-2006-05, Protection tab and select the version of your choice.

  1. In the IPS tab, click Protections and find the Sysax Multi Server SSH Username Buffer Overflow protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

SmartView Tracker will log the following entries:
Attack Name: SSH Protection Violation
Attack Information: Sysax Multi Server SSH Username Buffer Overflow